- Main Page
- Related Pages
- Modules
- Files

Typedefs | Functions
GLM_GTC_half_float
GTC Extensions (Stable)

## Typedefs
typedef detail::half | half
typedef detail::tmat2x2 < detail::half > | hmat2
typedef detail::tmat2x2 < detail::half > | hmat2x2
typedef detail::tmat2x3 < detail::half > | hmat2x3
typedef detail::tmat2x4 < detail::half > | hmat2x4
typedef detail::tmat3x3 < detail::half > | hmat3
typedef detail::tmat3x2 < detail::half > | hmat3x2
typedef detail::tmat3x3 < detail::half > | hmat3x3
typedef detail::tmat3x4 < detail::half > | hmat3x4
typedef detail::tmat4x4 < detail::half > | hmat4
typedef detail::tmat4x2 < detail::half > | hmat4x2
typedef detail::tmat4x3 < detail::half > | hmat4x3
typedef detail::tmat4x4 < detail::half > | hmat4x4
typedef detail::tvec2 < detail::half > | hvec2
typedef detail::tvec3 < detail::half > | hvec3
typedef detail::tvec4 < detail::half > | hvec4

## Functions
half | abs (half const &x)
hvec2 | abs (hvec2 const &x)
hvec3 | abs (hvec3 const &x)
hvec4 | abs (hvec4 const &x)

## Detailed Description

Defines the half-precision floating-point type, along with various typedefs for vectors and matrices.

<glm/gtc/half_float.hpp> need to be included to use these functionalities.

## Typedef Documentation

typedef detail::half half

Type for half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 357 of file half_float.hpp.

typedef detail::tmat2x2<detail::half> hmat2

2 * 2 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 373 of file half_float.hpp.

typedef detail::tmat2x2<detail::half> hmat2x2

2 * 2 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 385 of file half_float.hpp.

typedef detail::tmat2x3<detail::half> hmat2x3

2 * 3 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 389 of file half_float.hpp.

typedef detail::tmat2x4<detail::half> hmat2x4

2 * 4 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 393 of file half_float.hpp.

typedef detail::tmat3x3<detail::half> hmat3

3 * 3 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 377 of file half_float.hpp.

typedef detail::tmat3x2<detail::half> hmat3x2

3 * 2 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 397 of file half_float.hpp.

typedef detail::tmat3x3<detail::half> hmat3x3

3 * 3 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 401 of file half_float.hpp.

typedef detail::tmat3x4<detail::half> hmat3x4

3 * 4 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 405 of file half_float.hpp.

typedef detail::tmat4x4<detail::half> hmat4

4 * 4 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 381 of file half_float.hpp.

typedef detail::tmat4x2<detail::half> hmat4x2

4 * 2 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 409 of file half_float.hpp.

typedef detail::tmat4x3<detail::half> hmat4x3

4 * 3 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 413 of file half_float.hpp.

typedef detail::tmat4x4<detail::half> hmat4x4

4 * 4 matrix of half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 417 of file half_float.hpp.

typedef detail::tvec2<detail::half> hvec2

Vector of 2 half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 361 of file half_float.hpp.

typedef detail::tvec3<detail::half> hvec3

Vector of 3 half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 365 of file half_float.hpp.

typedef detail::tvec4<detail::half> hvec4

Vector of 4 half-precision floating-point numbers.

See Also
  GLM_GTC_half_float

Definition at line 369 of file half_float.hpp.

## Function Documentation

half glm::abs | ( | half const & | x | ) |

Returns the absolute value of a half-precision floating-point value.

See Also
  GLM_GTC_half_float

hvec2 glm::abs | ( | hvec2 const & | x | ) |

Returns the absolute value of a half-precision floating-point two dimensional vector.

See Also
  GLM_GTC_half_float

hvec3 glm::abs | ( | hvec3 const & | x | ) |

Returns the absolute value of a half-precision floating-point three dimensional vector.

See Also
  GLM_GTC_half_float

hvec4 glm::abs | ( | hvec4 const & | x | ) |

Returns the absolute value of a half-precision floating-point four dimensional vector.

See Also
  GLM_GTC_half_float